Greenbone Vulnerability Management Libraries: openvasd/openvasd_tests.c File Reference

Greenbone Vulnerability Management Libraries 23.7.0

Functions
openvasd_tests.c File Reference
`#include "openvasd.c"`
`#include <cgreen/assertions.h>`
`#include <cgreen/cgreen.h>`
`#include <cgreen/constraint_syntax_helpers.h>`
`#include <cgreen/internal/c_assertions.h>`
`#include <cgreen/mocks.h>`

## Functions
static gboolean | json_array_contains_string (cJSON *array, const char *value)
| Describe (openvasd)
| BeforeEach (openvasd)
| AfterEach (openvasd)
| Ensure (openvasd, openvasd_add_credential_to_scan_json)
| Ensure (openvasd, openvasd_add_port_to_scan_json)
| Ensure (openvasd, openvasd_add_vts_to_scan_json)
| Ensure (openvasd, openvasd_set_alive_test_methods)
| Ensure (openvasd, openvasd_set_host_discovery_ipv6_alive_test_method)
| Ensure (openvasd, openvasd_build_scan_config_json_with_host_discovery_ipv6)
| Ensure (openvasd, openvasd_build_scan_config_json_with_alive_tests)
| Ensure (openvasd, openvasd_build_scan_config_json_with_host_discovery_ipv6_only)
int | main (int argc, char **argv)

## Function Documentation

## ◆ AfterEach()

AfterEach | ( | openvasd |  | ) |

## ◆ BeforeEach()

BeforeEach | ( | openvasd |  | ) |

## ◆ Describe()

Describe | ( | openvasd |  | ) |

## ◆ Ensure() [1/8]

Ensure | ( | openvasd | ,
|  | openvasd_add_credential_to_scan_json | )

## ◆ Ensure() [2/8]

Ensure | ( | openvasd | ,
|  | openvasd_add_port_to_scan_json | )

## ◆ Ensure() [3/8]

Ensure | ( | openvasd | ,
|  | openvasd_add_vts_to_scan_json | )

## ◆ Ensure() [4/8]

Ensure | ( | openvasd | ,
|  | openvasd_build_scan_config_json_with_alive_tests | )

## ◆ Ensure() [5/8]

Ensure | ( | openvasd | ,
|  | openvasd_build_scan_config_json_with_host_discovery_ipv6 | )

## ◆ Ensure() [6/8]

Ensure | ( | openvasd | ,
|  | openvasd_build_scan_config_json_with_host_discovery_ipv6_only | )

## ◆ Ensure() [7/8]

Ensure | ( | openvasd | ,
|  | openvasd_set_alive_test_methods | )

## ◆ Ensure() [8/8]

Ensure | ( | openvasd | ,
|  | openvasd_set_host_discovery_ipv6_alive_test_method | )

## ◆ json_array_contains_string()

gboolean json_array_contains_string | ( | cJSON * | array,
|  | const char * | value )
| static

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv )